local table = table or require "table"
local game = fv.core.game
local WORKING = fv.core.WORKING
local DESTROY = fv.core.DESTROY
 
function fv.core.GameMapScript:updateVillageResurces()
	local buildings = getBuildings()
	local buildingsCount = table.getn(buildings)
	for i = 1, buildingsCount, 1 do
		local bld = buildings[i]
		local bldState = bld.state
		if bldState == WORKING or bldState == DESTROY then
			local bldName = bld.name
			local bldClass = bld.class
			if bldClass == 1 then
				local resources = getBuildingResources(bld)			
				for key,value in pairs(resources) do
					game.gameInfo:addStoredResource(key, value)
				end
			elseif bldName == "Tavern" then
				local count = bld:getResourceStored("alcohol")
				game.gameInfo:addStoredResource("alcohol", count)
			end
		end
	end
end
